<?php

/**
 * @file
 * Post update functions for USWDS Ckeditor Integration.
 */

use Drupal\Core\Config\Entity\ConfigEntityUpdater;
use Drupal\editor\EditorInterface;

/**
 * Add new keys for uswds_ckeditor_integration_accordion.
 */
function uswds_ckeditor_integration_post_update_new_accordion_keys(&$sandbox = []): void {
  $config_entity_updater = \Drupal::classResolver(ConfigEntityUpdater::class);

  $callback = function (EditorInterface $editor): bool {
    $settings = $editor->getSettings();
    $toolbar = $settings['toolbar'];
    $flat_toolbar = is_array($toolbar) ? array_merge(...array_values($toolbar)) : $toolbar;

    if (!in_array('uswds_ckeditor_integration_accordion', $flat_toolbar)) {
      return FALSE;
    }
    $plugin_settings = $settings['uswds_ckeditor_integration_accordion'];

    $plugin_settings += [
      'multiselect' => FALSE,
      'collapsed' => FALSE,
    ];

    // Apply updated settings.
    $settings['uswds_ckeditor_integration_accordion'] = $plugin_settings;
    $editor->setSettings($settings);

    return TRUE;
  };

  $config_entity_updater->update($sandbox, 'editor', $callback);
}
